Name:           python-tushare
Version:        1.4.21
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A utility for crawling historical and Real-time Quotes data of China stocks

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://tushare.pro
Source:         %{pypi_source tushare}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'tushare' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-tushare
Summary:        %{summary}

%description -n python3-tushare %_description


%prep
%autosetup -p1 -n tushare-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-tushare -f %{pyproject_files}


%changelog
%autochangelog